Require Import Memory.
Require Import OS.

Inductive page_owner : Set :=
 | Hyp_PO   : page_owner
 | Os_PO    : os_ident -> page_owner
 | No_Owner : page_owner.

Record page : Set :=
  Page
    { (** content of a page *)
      page_content  : content;
      (** page owner *)
      page_owned_by : page_owner
    }.





